Subject: Re: bug#63040: 30.0.50; Performance of buf_bytepos_to_charpos when a buffer has large number of markers

From: Ihor Radchenko <[email-masked]>
Date: Wed, 26 Jun 2024 12:47:02 +0000

Stefan Monnier <[email-masked]> writes:

> Hi Ihor,
>
>> When investigating `re-search-forward' performance in
>> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=58558 (bug#58558), I
>> noticed that buf_bytepos_to_charpos is taking most of the CPU time,
>> according to perf stats.
>
> I couldn't find a recipe to reproduce the problem.
> Could you point me to it?

The recipe is gone, because 0x0 has already deleted the reproducer I
managed to create (it was a large file). Although, I am still able to
reproduce with my private .org files. I am using the i < 50 hack as a
remedy.

-- 
Ihor Radchenko // yantar92,
Org mode contributor,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>